<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: models/People/Person/Person.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_person_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Person.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_PERSON_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_PERSON_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;QDate&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="class_person.html">   27</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_person.html">Person</a> {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="comment">// constructors</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="class_person.html#a27a7b19cdace6de9a04ce0d06fec7957">Person</a>(std::string name, std::string surname, QDate date);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="class_person.html#a27a7b19cdace6de9a04ce0d06fec7957">Person</a>(<span class="keyword">const</span> <a class="code" href="class_person.html">Person</a> &amp;p);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <a class="code" href="class_person.html">Person</a> &amp;<a class="code" href="class_person.html#ae046bc90711195d83799f81e096ad503">operator=</a>(<span class="keyword">const</span> <a class="code" href="class_person.html">Person</a> &amp;p);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="class_person.html#a700ffd693321c5fe6880262acf43d4da">~Person</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="class_person.html#a7c6a2bfb43c790bc8260933bd847a582">operator==</a>(<span class="keyword">const</span> <a class="code" href="class_person.html">Person</a> &amp;other) <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="class_person.html#ae4f47029402c26c3643d23ef04695bb1">operator!=</a>(<span class="keyword">const</span> <a class="code" href="class_person.html">Person</a> &amp;other) <span class="keyword">const</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="comment">// setters</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_person.html#ad6e438f456d3ae6f5b477931c0a6aeba">setName</a>(std::string name);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_person.html#af6a9ce78af39382fbab39f64319c7cde">setSurname</a>(std::string surname);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_person.html#a172e5a16b36e2aa9dfec68b289e1747b">setDateOfBirth</a>(QDate dateOfBirth);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="comment">// getters</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    std::string <a class="code" href="class_person.html#ac0c7e40e02bfa616e17a0c332dd248eb">getName</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    std::string <a class="code" href="class_person.html#a7f24e2654e52db9c1f1c368a13135ae1">getSurname</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    QDate <a class="code" href="class_person.html#a6958ae5c891dee615a0802bbefd7bc24">getDateOfBirth</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keyword">friend</span> std::ostream &amp;<a class="code" href="class_person.html#ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7">operator&lt;&lt;</a>(std::ostream &amp;out, <span class="keyword">const</span> <a class="code" href="class_person.html">Person</a> &amp;person);</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keyword">friend</span> std::ostream &amp;<a class="code" href="class_person.html#ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7">operator&lt;&lt;</a>(std::ostream &amp;out, <span class="keyword">const</span> <a class="code" href="class_person.html">Person</a> *person);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    std::string name;  <span class="comment">// name of person</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    std::string surname;  <span class="comment">// surname of person</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    QDate dateOfBirth;  <span class="comment">// assuming one does not change own date of birth</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;};</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="preprocessor">#endif // LIBRARYMGR_PERSON_H</span></div><div class="ttc" id="class_person_html_a7f24e2654e52db9c1f1c368a13135ae1"><div class="ttname"><a href="class_person.html#a7f24e2654e52db9c1f1c368a13135ae1">Person::getSurname</a></div><div class="ttdeci">std::string getSurname() const </div><div class="ttdoc">gets surname </div><div class="ttdef"><b>Definition:</b> Person.cpp:66</div></div>
<div class="ttc" id="class_person_html_a700ffd693321c5fe6880262acf43d4da"><div class="ttname"><a href="class_person.html#a700ffd693321c5fe6880262acf43d4da">Person::~Person</a></div><div class="ttdeci">virtual ~Person()</div><div class="ttdoc">~Person Destroy person fields </div><div class="ttdef"><b>Definition:</b> Person.cpp:36</div></div>
<div class="ttc" id="class_person_html_a172e5a16b36e2aa9dfec68b289e1747b"><div class="ttname"><a href="class_person.html#a172e5a16b36e2aa9dfec68b289e1747b">Person::setDateOfBirth</a></div><div class="ttdeci">void setDateOfBirth(QDate dateOfBirth)</div><div class="ttdoc">set new date of birth </div><div class="ttdef"><b>Definition:</b> Person.cpp:58</div></div>
<div class="ttc" id="class_person_html_ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7"><div class="ttname"><a href="class_person.html#ac1e7cfa19a5c01f3f4dcc41c5e7ddfc7">Person::operator&lt;&lt;</a></div><div class="ttdeci">friend std::ostream &amp; operator&lt;&lt;(std::ostream &amp;out, const Person &amp;person)</div><div class="ttdoc">operator &lt;&lt; printer </div><div class="ttdef"><b>Definition:</b> Person.cpp:74</div></div>
<div class="ttc" id="class_person_html_ac0c7e40e02bfa616e17a0c332dd248eb"><div class="ttname"><a href="class_person.html#ac0c7e40e02bfa616e17a0c332dd248eb">Person::getName</a></div><div class="ttdeci">std::string getName() const </div><div class="ttdoc">gets name </div><div class="ttdef"><b>Definition:</b> Person.cpp:62</div></div>
<div class="ttc" id="class_person_html_a27a7b19cdace6de9a04ce0d06fec7957"><div class="ttname"><a href="class_person.html#a27a7b19cdace6de9a04ce0d06fec7957">Person::Person</a></div><div class="ttdeci">Person(std::string name, std::string surname, QDate date)</div><div class="ttdoc">Person default constructor with name, surname and date of birth. </div><div class="ttdef"><b>Definition:</b> Person.cpp:21</div></div>
<div class="ttc" id="class_person_html_ae046bc90711195d83799f81e096ad503"><div class="ttname"><a href="class_person.html#ae046bc90711195d83799f81e096ad503">Person::operator=</a></div><div class="ttdeci">Person &amp; operator=(const Person &amp;p)</div><div class="ttdoc">operator = Person deep copy of person </div><div class="ttdef"><b>Definition:</b> Person.cpp:26</div></div>
<div class="ttc" id="class_person_html_af6a9ce78af39382fbab39f64319c7cde"><div class="ttname"><a href="class_person.html#af6a9ce78af39382fbab39f64319c7cde">Person::setSurname</a></div><div class="ttdeci">void setSurname(std::string surname)</div><div class="ttdoc">set new surname </div><div class="ttdef"><b>Definition:</b> Person.cpp:54</div></div>
<div class="ttc" id="class_person_html_a6958ae5c891dee615a0802bbefd7bc24"><div class="ttname"><a href="class_person.html#a6958ae5c891dee615a0802bbefd7bc24">Person::getDateOfBirth</a></div><div class="ttdeci">QDate getDateOfBirth() const </div><div class="ttdoc">gets date of birth </div><div class="ttdef"><b>Definition:</b> Person.cpp:70</div></div>
<div class="ttc" id="class_person_html_ae4f47029402c26c3643d23ef04695bb1"><div class="ttname"><a href="class_person.html#ae4f47029402c26c3643d23ef04695bb1">Person::operator!=</a></div><div class="ttdeci">virtual bool operator!=(const Person &amp;other) const </div><div class="ttdoc">virtual because there can be 2 persons with same name and surname and date of birth ...</div><div class="ttdef"><b>Definition:</b> Person.cpp:44</div></div>
<div class="ttc" id="class_person_html_a7c6a2bfb43c790bc8260933bd847a582"><div class="ttname"><a href="class_person.html#a7c6a2bfb43c790bc8260933bd847a582">Person::operator==</a></div><div class="ttdeci">virtual bool operator==(const Person &amp;other) const </div><div class="ttdoc">virtual because there can be 2 persons with same name and surname and date of birth ...</div><div class="ttdef"><b>Definition:</b> Person.cpp:38</div></div>
<div class="ttc" id="class_person_html_ad6e438f456d3ae6f5b477931c0a6aeba"><div class="ttname"><a href="class_person.html#ad6e438f456d3ae6f5b477931c0a6aeba">Person::setName</a></div><div class="ttdeci">void setName(std::string name)</div><div class="ttdoc">set new name </div><div class="ttdef"><b>Definition:</b> Person.cpp:50</div></div>
<div class="ttc" id="class_person_html"><div class="ttname"><a href="class_person.html">Person</a></div><div class="ttdoc">Wrap for generic person personal info. </div><div class="ttdef"><b>Definition:</b> Person.h:27</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_1ae4179d5e953611aae20c997279e02c.html">models</a></li><li class="navelem"><a class="el" href="dir_34f7514774f7ab8415d66ae1b257c12f.html">People</a></li><li class="navelem"><a class="el" href="dir_a221a5fa5e2518dd9b41b6d6d1259470.html">Person</a></li><li class="navelem"><b>Person.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
